﻿/*General*/

.mainContentContainer p.subtitle {
    color: var(--massage-green);
    font-size: 25px;
    line-height: 28px;
    margin-bottom: 0px;
}

.mainContentContainer div .row div .padding div > :first-child {
    margin-top: 0px;
}

.mainContentContainer .button {
    margin-top: 25px;
}

.mainContentContainer h5 {
    margin-bottom: 25px;
}

.mainContentContainer p.subtext {
    font-size: 15px;
    line-height: 18px;
    margin-bottom: 0px;
}

.mainContentContainer :is(h1, h2, h3, h4):not(:first-child) {
    margin-top: 30px;
}

.mainContentContainer .maintitle {
    margin-top: 7px !important;
    margin-bottom: 20px;
}

.mainContentContainer h2.maintitle.no-subtitle {
    margin-top: 0px !important;
}

.mainContentContainer .green-bubble {
    background: var(--massage-green);
    text-align: center;
    border-radius: 50px;
    min-width: 250px;
    max-width: 300px;
    border: 10px solid #ffffff;
}

.mainContentContainer p.bubble-title {
    font-size: 34px;
    line-height: 38px;
    margin-bottom: 2px;
    font-weight: 900;
}

.mainContentContainer p.bubble-title span.small {
    font-weight: 400;
    font-size: 23px;
}

.mainContentContainer .bubble-subtitle,
.mainContentContainer .bubble-description {
    font-size: 21px;
    line-height: 25px;
}

.mainContentContainer .bubble-description {
    margin-bottom: 0px;
}

.mainContentContainer .bubble-subtitle {
    margin-bottom: 1px;
}

.mainContentContainer .vertical-align {
    height: 100%;
    display: flex;
    align-items: center;
}

.mainContentContainer .address-wrapper {
    display: flex;
    margin-top: 35px;
    gap: 20px;
}

.mainContentContainer .address-wrapper img.icon-img {
    width: 50px;
}

/*Full Width*/

.maincontent-fw p.subtext {
    margin-top: 20px;
}

.mainContentContainer .columns-2 ul {
    column-width: auto;
    column-count: 2;
    column-gap: 40px;
}

/*.mainContentContainer .columns-3 ul {
    column-width: auto;
    column-count: 3;
}*/

.mainContentContainer .columns-3 ul {
    column-count: 3;
    column-gap: 20px;
    max-width: 70%;
    margin: 0;
}

.mainContentContainer ul li {
    break-inside: avoid;
    page-break-inside: avoid;
    -webkit-column-break-inside: avoid;
}


/* Video */

.mainContentContainer .youtube-embed {
    position: relative;
    aspect-ratio: 16 / 9;
    height: auto;
    max-width: 100%;
    padding-left: 62px;
    padding-bottom: 35px;
    box-sizing: border-box;
}

.mainContentContainer .youtube-embed iframe {
    width: 100%;
    height: 100%;
    display: block;
    border: 0;
}

.mainContentContainer .youtube-embed.float-right {
    float: right;
    width: 45%;
    margin: 0 0 1rem 1.5rem;
}

.mainContentContainer .youtube-embed.float-left {
    float: left;
    width: 45%;
    margin: 0 1.5rem 1rem 0;
    padding-left: 0;
    padding-right: 40px;
}

.mainContentContainer .youtube-embed.float-left .youtube-overlay {
    left: 0;
    right: 40px;
}


.mainContentContainer .youtube-embed .youtube-overlay {
    position: absolute;
    top: 0;
    left: 62px;
    right: 0;
    bottom: 35px;
    background: rgba(0, 0, 0, 0.3);
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    transition: opacity 0.3s ease;
}

.mainContentContainer .youtube-embed .youtube-overlay i {
    font-size: 10rem;
    color: #fff;
    background: var(--darkest-grey);
    border-radius: 50%;
}

.mainContentContainer .youtube-embed .youtube-overlay.hidden {
    opacity: 0;
    pointer-events: none;
}

/* Location Search Box */

.maincontent-loc-right .location-block-wrapper {
    background: var(--massage-green);
    border-radius: 25px;
    padding: 30px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: relative;
}

.maincontent-loc-right .location-block-wrapper h4 {
    margin-top: 0px;
    margin-bottom: 8px;
    font-size: 33px;
}

.maincontent-loc-right .front-map-content {
    z-index: 10;
}

.maincontent-loc-right .map-img {
    background: url(https://immediac.blob.core.windows.net/massageaddict2025/map-bg-img.png);
    position: absolute;
    inset: 0;
    background-size: cover;
}

.maincontent-loc-right .front-map-content p.location-sub-title {
    margin-bottom: 9px;
    font-weight: 800;
    font-size: 20px;
}

.maincontent-loc-right .front-map-content p.location-description {
    margin-bottom: 0px;
    margin-top: 25px;
}

.maincontent-loc-right .front-map-content p.location-bottom-subtitle {
    font-weight: 800;
    font-size: 24px;
    margin-bottom: 30px;
    font-style: italic;
}


@media (max-width: 992px) {
    .mainContentContainer .youtube-embed {
        padding-left: 0;
        padding-right: 0;
        padding-bottom: 0;
        margin-bottom: 30px!important;
    }

    .mainContentContainer .youtube-embed .youtube-overlay {
        left: 0;
        right: 0;
        bottom: 0;
    }

    .mainContentContainer .youtube-embed.float-right, 
    .mainContentContainer .youtube-embed.float-left {
        float: none;
        width: 100%;
        margin: 0 0 1rem 0;
        clear: both;
    }

    .mainContentContainer .youtube-embed.float-left {
        padding-right: 0px;
    }

    .mainContentContainer .youtube-embed.float-left .youtube-overlay {
        right: 0px;
    }
}



/*Two Image Left*/

.mainContentContainer .maincontent-two-img-left .collage-stack {
    position: relative;
}

.mainContentContainer .maincontent-two-img-left .collage-item.collage-large {
    border-radius: 50px 0px 0px 0px;
    width: 70%;
    overflow: hidden;
    aspect-ratio: 400 / 555;
}

.mainContentContainer .maincontent-two-img-left p.subtext {
    width: 38%;
    margin-top: 10px;
    position: absolute;
}

.mainContentContainer .maincontent-two-img-left .collage-item.collage-large img {
    height: 100%;
    width: 100%;
    object-fit: cover;
    object-position: center;
}

.mainContentContainer .maincontent-two-img-left .collage-item.collage-small {
    margin-top: -34%;
    z-index: 5;
    position: relative;
    overflow: hidden;
    aspect-ratio: 400 / 265;
    width: 75%;
    margin-left: auto;
}

    .mainContentContainer .maincontent-two-img-left .collage-item.collage-small img {
        border-radius: 60px 0px 60px 0px;
        border: 10px solid #ffffff;
        height: 100%;
        width: 100%;
        object-fit: cover;
        object-position: center;
    }

.mainContentContainer .maincontent-two-img-left .green-bubble.two-img-left-bubble {
    position: absolute;
    top: 12%;
    right: 0;
    padding: 15px;
}

.mainContentContainer .maincontent-two-img-left .padding {
    padding-left: 50px;
}

.mainContentContainer .maincontent-two-img-left .row {
    display: flex;
}


/*Two Image Right*/

.mainContentContainer .maincontent-two-img-right .collage-stack {
    position: relative;
}

.mainContentContainer .maincontent-two-img-right .collage-item.collage-large {
    border-radius: 50px 0px 0px 0px;
    width: 70%;
    overflow: hidden;
    aspect-ratio: 400 / 555;
}

    .mainContentContainer .maincontent-two-img-right .collage-item.collage-large img {
        height: 100%;
        width: 100%;
        object-fit: cover;
        object-position: center;
    }

.mainContentContainer .maincontent-two-img-right .collage-item.collage-small {
    margin-top: -25%;
    z-index: 5;
    position: relative;
    overflow: hidden;
    aspect-ratio: 400 / 265;
    width: 60%;
    margin-left: auto;
}

.mainContentContainer .maincontent-two-img-right p.subtext {
    width: 38%;
    margin-top: 10px;
    position: absolute;
}

.mainContentContainer .maincontent-two-img-right .collage-item.collage-small img {
    border-radius: 50px 0px 50px 0px;
    border: 10px solid #ffffff;
    height: 100%;
    width: 100%;
    object-fit: cover;
    object-position: center;
}

.mainContentContainer .maincontent-two-img-right .green-bubble.two-img-right-bubble {
    position: absolute;
    top: 12%;
    right: 0;
    padding: 15px;
}

.mainContentContainer .maincontent-two-img-right .padding {
    padding-right: 50px;
}

.mainContentContainer .maincontent-two-img-right .row {
    display: flex;
}

/*One Image Left*/

.mainContentContainer .maincontent-img-left .padding {
    padding-left: 50px;
    /*padding-top: 30px;
    padding-bottom: 30px;*/
}

.mainContentContainer .maincontent-img-left p.subtext.has-text-bubble {
    width: 45%;
    margin-top: 10px;
    position: absolute;
    bottom: -67px;
}

.mainContentContainer .maincontent-img-left p.subtext {
    margin-top: 10px;
}

.mainContentContainer .maincontent-img-left .row {
    display: flex;
    align-items: stretch;
}

.mainContentContainer .maincontent-img-left .img-wrapper {
    position: relative;
    border-radius: 50px 0px;
    overflow: hidden;
    /*min-height: 500px;*/
    height: 100%;
    width: 100%;
}

    .mainContentContainer .maincontent-img-left .img-wrapper img {
        position: absolute;
        inset: 0;
        width: 100%;
        height: 100%;
        object-fit: cover;
        object-position: center;
        display: block;
    }

    .mainContentContainer .maincontent-img-left .img-wrapper.has-text-bubble {
        width: 90%;
        /*height: 88%;*/
        margin-bottom: 60px;
    }

.mainContentContainer .maincontent-img-left .green-bubble {
    position: absolute;
    bottom: -70px;
    right: 0;
    padding: 25px 15px;
}

.mainContentContainer .maincontent-img-left .position-wrapper {
    position: relative;
}

/*One Image Right*/

.mainContentContainer .maincontent-img-right .padding {
    padding-right: 50px;
    /*padding-top: 30px;
    padding-bottom: 30px;*/
}

.mainContentContainer .maincontent-img-right p.subtext.has-text-bubble {
    width: 45%;
    margin-top: 10px;
    margin-left: auto;
    position: absolute;
    right: 0;
    bottom: -68px;
}

.mainContentContainer .maincontent-img-right .row {
    display: flex;
    align-items: stretch;
}

.mainContentContainer .maincontent-img-right p.subtext {
    margin-top: 10px;
}

.mainContentContainer .maincontent-img-right .img-wrapper {
    position: relative;
    border-radius: 50px 0px;
    overflow: hidden;
    height: 100%;
    width: 100%;
}

    .mainContentContainer .maincontent-img-right .img-wrapper img {
        position: absolute;
        inset: 0;
        width: 100%;
        height: 100%;
        object-fit: cover;
        object-position: center;
        display: block;
    }

    .mainContentContainer .maincontent-img-right .img-wrapper.has-text-bubble {
        width: 90%;
        margin-left: auto;
        margin-bottom: 60px;
    }

/*Image Aspect Ratios*/

.mainContentContainer .ar-1-1,
.mainContentContainer .ar-4-3,
.mainContentContainer .ar-3-2,
.mainContentContainer .ar-16-9,
.mainContentContainer .ar-21-9,
.mainContentContainer .ar-9-16 {
    position: relative;
    overflow: hidden;
}

.mainContentContainer .ar-auto {
    min-height: 500px;
}

.mainContentContainer .ar-1-1 {
    aspect-ratio: 1 / 1;
}

.mainContentContainer .ar-4-3 {
    aspect-ratio: 4 / 3;
}

.mainContentContainer .ar-3-2 {
    aspect-ratio: 3 / 2;
}

.mainContentContainer .ar-16-9 {
    aspect-ratio: 16 / 9;
}

.mainContentContainer .ar-21-9 {
    aspect-ratio: 21 / 9;
}

.mainContentContainer .ar-9-16 {
    aspect-ratio: 9 / 16;
}

.mainContentContainer .maincontent-img-right .position-wrapper {
    position: relative;
}

.mainContentContainer .maincontent-img-right .green-bubble {
    position: absolute;
    bottom: -70px;
    left: 0;
    padding: 15px;
}


/*Media Queries*/

@media (min-width: 767px) {
    .mainContentContainer .subtext-mobile {
        display: none;
    }
}

@media (min-width: 1367px) and (max-width: 1600px) {
    /*One Image Left*/

    .mainContentContainer .maincontent-img-left p.subtext.has-text-bubble {
        width: 37%;
    }

    /*One Image Right*/

    .mainContentContainer .maincontent-img-right p.subtext.has-text-bubble {
        width: 38%;
    }
}

@media (min-width: 1200px) and (max-width: 1366px) {
    /*General*/

    .mainContentContainer .bubble-subtitle,
    .mainContentContainer .bubble-description {
        font-size: 19px;
        line-height: 22px;
    }

    .mainContentContainer p.bubble-title {
        font-size: 27px;
        line-height: 30px;
    }

    /*One Image Left*/

    .mainContentContainer .maincontent-img-left .green-bubble {
        padding: 15px 10px;
        max-width: 240px !important;
        min-width: 240px;
    }

    /*One Image Right*/

    .mainContentContainer .maincontent-img-right .green-bubble {
        padding: 15px 10px;
        max-width: 240px !important;
        min-width: 240px;
    }

    .mainContentContainer .columns-3 ul {
        max-width: 80%;
    }
}

@media (min-width: 992px) and (max-width: 1199px) {
    /*General*/

    .mainContentContainer p.bubble-title {
        font-size: 23px;
        line-height: 25px;
    }

    .mainContentContainer .green-bubble {
        min-width: 180px;
        max-width: 200px;
        padding: 10px;
    }

    .mainContentContainer .bubble-subtitle,
    .mainContentContainer .bubble-description {
        font-size: 17px;
        line-height: 20px;
    }

    .mainContentContainer p.subtitle {
        font-size: 22px;
        line-height: 24px;
    }

    .mainContentContainer .maintitle {
        margin-bottom: 10px;
    }

    /*Full Width*/
    /*Two Image Left*/

    .mainContentContainer .maincontent-two-img-left .padding {
        padding-left: 25px;
    }

    /*Two Image Right*/

    .mainContentContainer .maincontent-two-img-right .padding {
        padding-right: 25px;
    }

    /*One Image Left*/

    .mainContentContainer .maincontent-img-left .padding {
        padding-left: 25px;
        padding-top: 0px;
        padding-bottom: 0px;
    }

    .mainContentContainer .maincontent-img-left p.subtext.has-text-bubble {
        bottom: -86px;
    }

    .mainContentContainer .maincontent-img-left .ar-auto {
        min-height: 350px;
    }

    /*One Image Right*/

    .mainContentContainer .maincontent-img-right .padding {
        padding-right: 25px;
        padding-top: 0px;
        padding-bottom: 0px;
    }

    .mainContentContainer .maincontent-img-right p.subtext.has-text-bubble {
        bottom: -86px;
    }

    .mainContentContainer .maincontent-img-right .ar-auto {
        min-height: 350px;
    }

    .mainContentContainer .columns-3 ul {
        max-width: 90%;
    }
}

@media (min-width: 768px) and (max-width: 991px) {
    /*General*/

    .mainContentContainer p.subtitle {
        font-size: 22px;
        line-height: 24px;
    }

    /*Full Width*/

    .mainContentContainer .columns-2 ul {
        column-count: 1;
    }

    .mainContentContainer .columns-3 ul {
        column-count: 1;
    }

    .mainContentContainer .has-subnav {
        padding-right: 45px;
    }

    /*Two Image Left*/

    .mainContentContainer .maincontent-two-img-left .row {
        display: block;
    }

    .mainContentContainer .maincontent-two-img-left .collage-item.collage-large {
        width: 75%;
        aspect-ratio: 400 / 390;
    }

    .mainContentContainer .maincontent-two-img-left .collage-item.collage-small {
        margin-top: -22%;
        width: 55%;
        margin-bottom: 35px;
    }

    .mainContentContainer .maincontent-two-img-left p.subtext {
        width: 42%;
    }

    .mainContentContainer .maincontent-two-img-left .padding {
        padding-left: 0px;
    }

    /*Two Image Right*/

    .mainContentContainer .maincontent-two-img-right .row {
        display: block;
    }

    .mainContentContainer .maincontent-two-img-right .padding {
        padding-right: 0px;
    }

    .mainContentContainer .maincontent-two-img-right .collage-item.collage-large {
        width: 75%;
        aspect-ratio: 400 / 390;
    }

    .mainContentContainer .maincontent-two-img-right .collage-item.collage-small {
        margin-top: -22%;
        width: 55%;
        margin-bottom: 35px;
    }

    .mainContentContainer .maincontent-two-img-right p.subtext {
        width: 42%;
    }

    /*One Image Left*/

    .mainContentContainer .maincontent-img-left .row {
        display: block;
    }

    .mainContentContainer .maincontent-img-left .padding {
        padding-left: 0px;
    }

    /*One Image Right*/

    .mainContentContainer .maincontent-img-right .row {
        display: block;
    }

    .mainContentContainer .maincontent-img-right p.subtext.has-text-bubble {
        width: 55%;
        bottom: -49px;
    }

    .mainContentContainer .maincontent-img-right .padding {
        padding-right: 0px;
    }

    /* Location Search */

    .location-search-wrapper {
        margin-top: 25px;
    }

    .mainContentContainer .maincontent-img-left .padding,
    .mainContentContainer .maincontent-img-right .padding {
        padding-top: 30px;
    }

    .mainContentContainer p.bubble-title span.small {
        font-size: 15px;
    }

    .mainContentContainer .columns-3 ul {
        max-width: 100%;
    }
}

@media (max-width: 767px) {
    /*General*/

    .mainContentContainer p.subtitle {
        font-size: 19px;
        line-height: 21px;
    }

    .mainContentContainer .subtext-desktop {
        display: none;
    }

    .mainContentContainer .green-bubble {
        border-radius: 25px;
        min-width: 200px;
        max-width: 210px;
        border: 7px solid #ffffff;
        padding: 25px 10px;
    }

    .mainContentContainer .bubble-subtitle,
    .mainContentContainer .bubble-description {
        font-size: 17px;
        line-height: 20px;
    }

    .mainContentContainer p.bubble-title {
        font-size: 22px;
        line-height: 26px;
        margin-bottom: 0px;
    }

    .mainContentContainer .subtext-mobile {
        display: block !important;
        width: 100% !important;
        position: relative !important;
        margin-top: 0px !important;
        margin-bottom: 30px !important;
    }

    .mainContentContainer .has-mobile-subtext {
        margin-bottom: 5px !important;
    }

    /*Full Width*/

    .mainContentContainer .columns-2 ul {
        column-count: 1;
    }

    .mainContentContainer .columns-3 ul {
        column-count: 1;
    }

    .maincontent-fw.container-subnav {
        margin-top: 0px !important;
    }

    .mainContentContainer .maincontent-fw .mobile-hide {
        display: none;
    }

    /*Two Image Left*/

    .mainContentContainer .maincontent-two-img-left .collage-item.collage-small img {
        border: 7px solid #ffffff;
    }

    .mainContentContainer .maincontent-two-img-left .row {
        display: block;
    }

    .mainContentContainer .maincontent-two-img-left .collage-item.collage-large {
        width: 75%;
        aspect-ratio: 400 / 390;
    }

    .mainContentContainer .maincontent-two-img-left .collage-item.collage-small {
        margin-top: -22%;
        width: 55%;
        margin-bottom: 35px;
    }

    .mainContentContainer .maincontent-two-img-left p.subtext {
        display: none;
    }

    .mainContentContainer .maincontent-two-img-left .padding {
        padding-left: 0px;
    }

    /*Two Image Right*/

    .mainContentContainer .maincontent-two-img-right .row {
        display: block;
    }

    .mainContentContainer .maincontent-two-img-right .padding {
        padding-right: 0px;
    }

    .mainContentContainer .maincontent-two-img-right .collage-item.collage-large {
        width: 75%;
        aspect-ratio: 400 / 390;
    }

    .mainContentContainer .maincontent-two-img-right .collage-item.collage-small {
        margin-top: -22%;
        width: 55%;
        margin-bottom: 35px;
    }

    .mainContentContainer .maincontent-two-img-right p.subtext {
        display: none;
    }

    /*One Image Left*/

    .mainContentContainer .maincontent-img-left .row {
        display: block;
    }

    .mainContentContainer .maincontent-img-left .padding {
        padding-left: 0px;
    }

    .mainContentContainer .maincontent-img-left .img-wrapper {
        aspect-ratio: 1.2 / 1;
        min-height: unset;
    }

    .mainContentContainer .maincontent-img-left p.subtext.has-text-bubble {
        display: none;
    }

    .mainContentContainer .maincontent-img-left p.subtext.subtext-mobile {
        margin-top: 10px !important;
        margin-bottom: 0px !important;
    }

    .mainContentContainer .maincontent-img-left p.subtext.subtext-mobile {
        margin-top: 10px !important;
        margin-bottom: 0px !important;
        bottom: unset;
    }

    .mainContentContainer .maincontent-img-left p.subtext.has-text-bubble {
        bottom: -15px;
        margin-bottom: 15px !important;
    }


    /*One Image Right*/

    .mainContentContainer .maincontent-img-right .img-wrapper {
        aspect-ratio: 1.2/1;
        min-height: unset;
    }

    .mainContentContainer .maincontent-img-right .row {
        display: block;
    }

    .mainContentContainer .maincontent-img-right p.subtext.subtext-mobile {
        margin-top: 10px !important;
        margin-bottom: 0px !important;
        bottom: unset;
    }

    .mainContentContainer .maincontent-img-right p.subtext.has-text-bubble {
        bottom: -15px;
        margin-bottom: 15px !important;
    }

    .mainContentContainer .maincontent-img-right p.subtext.has-text-bubble {
        display: none;
    }

    .mainContentContainer .maincontent-img-right .padding {
        padding-right: 0px;
    }

    /* Location Search */

    .location-search-wrapper {
        margin-top: 25px;
    }

    .maincontent-loc-right .location-block-wrapper h4 {
        font-size: 27px;
        margin-bottom: 1px;
    }

    .maincontent-loc-right .front-map-content p.location-sub-title {
        margin-bottom: 5px;
        font-size: 17px;
    }

    .maincontent-loc-right .front-map-content p.location-bottom-subtitle {
        font-size: 19px;
        margin-bottom: 20px;
    }

    .maincontent-loc-right .front-map-content p.location-description {
        font-size: 15px;
        line-height: 22px;
    }

    .mainContentContainer .maincontent-img-left .padding,
    .mainContentContainer .maincontent-img-right .padding {
        padding-top: 30px;
    }

    .mainContentContainer p.bubble-title span.small {
        font-size: 15px;
    }

    .mainContentContainer .columns-3 ul {
        max-width: 100%;
    }
}
